<template>
  <div class="safety-platform-container">
    <header class="safety-platform-container__header">
      <BreadcrumbBack />
      <span class="breadcrumb-title">{{ headerTitle }}</span>
    </header>
    <HiddenTroubleAccountManagementDetail />
  </div>
</template>

<script setup lang="ts">
  import { computed } from 'vue';
  import { useRoute } from 'vue-router';
  import BreadcrumbBack from '@/components/BreadcrumbBack.vue';
  import HiddenTroubleAccountManagementDetail from './components/hiddenTroubleAccountManagementDetail.vue';

  const route = useRoute();
  const operate = route.query.operate as string;

  const headerTitle = computed(() => {
    switch (operate) {
      case 'hidden-trouble-account-create':
        return '新增隐患台账';
      case 'hidden-trouble-account-edit':
        return '编辑隐患台账';
      case 'hidden-trouble-account-view':
        return '查看隐患台账';
      case 'hidden-trouble-account-rectify':
        return '整改隐患';
      case 'hidden-trouble-account-review':
        return '复查隐患';
      default:
        return '未知操作';
    }
  });
</script>

<style scoped lang="scss">
  @use '@/styles/page-details-layout.scss' as *;
  @use '@/styles/page-main-layout.scss' as *;

  .safety-platform-container__header {
    flex-direction: row !important;
    justify-content: flex-start !important;
    gap: 8px !important;
  }
</style>

